# anagog_flutter

# How to install this plugin:
Add the plugin as a dependency into your flutter app pubspec.yaml:

anagog_flutter: ^1.2.5 `Use version number for getting it from pub.dev (prod release version)`
    path: ../anagog_flutter_plugin/anagog_flutter `use this for local dependency`
    git: `git dependency`
      url: git@bitbucket.org:AnagogDevTeam/anagog-flutter-plugin.git
      path: anagog_flutter
      ref: develop `make sure you've set the working branch`

After adding to pubspec, run: `flutter pub get` to sync it
To update it if changed in git or locally run:  `flutter pub upgrade anagog_flutter`

# anagog_flutter_platform_interface:
The anagog_flutter plugin depends on anagog_flutter_platform_interface, this added to your project automatically 
when installing anagog_flutter plugin from pub.dev. 
However, when working with git or path dependencies, make sure your app takes the correct anagog_flutter_platform_interface version, 
This can be checked in app pubspec.lock file
You may update anagog_flutter_platform_interface explicitly by running:  
`{ flutter pub upgrade anagog_flutter_platform_interface }`

# Flutter build runner command:
`flutter pub run build_runner build --delete-conflicting-outputs`

# How to publish this plugin to pub.dev:
1. In order to publish a plugin to an existing pub.dev repo you should first contact the plugin admin to invite you as a publisher. (Elad Ben-Tzedef)
2. After you’ve been added as a publisher to a package/plugin you can publish artifacts

## Login and run pub --dry-run
1. Once you’ve got a publisher permissions and cloned the project you should locally login to Dart pub by running the command: 
   `dart pub login`
2. It will give you a link to login to pub.dev account.
3. Click on the link, this will open your browser and ask to login with your pub.dev google account
4. **Make sure you select the account which you’ve invited as a publisher to the package**
5. Once you’ve logged in with correct account you should a screen approved that you are authorized successfully. 
   You may navigate to your packages page from the My pub.dev menu at the top right of the screen. 
   You should see the packages you’re a pulisher
6. Go back to terminal where you’ve run the login command, you should see that authentication completed.

## Running publish dry-run
Before you about to publish a package or plugin, it is recommended to run the --dry-run command: 
`flutter pub publish --dry-run`
This command will analyze your project and will let you know if everything is OK and if not, it will give instructions what’s wrong with the plugin or package you’re about to publish.
At the end, it will give you a report: 

## Publish Plugin
Once dry-run has passed properly you may proceed to publish your plugin/package to pub.dev
Simply run the publish command
`flutter pub publish`