import 'package:anagog_flutter/platform_interface/anagog_flutter_platform_interface.dart';

abstract class AnagogFlutterLogger {
  ///Logger info message
  Future info({required String message});

  ///Logger error message
  Future error({required String message});
}

class AnagogFlutterLoggerImpl implements AnagogFlutterLogger {
  ///Logger info message
  @override
  Future info({required String message}) async =>
      AnagogFlutterPlatform.logger.info(message: message);

  ///Logger error message
  @override
  Future error({required String message}) async =>
      AnagogFlutterPlatform.logger.error(message: message);
}
