package com.anagog.anagog_flutter.model

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
internal data class Micromoment(
   @SerializedName("identifier") val identifier: String,
   @SerializedName("textParameters") val textParameters: Map<String, String>,
   @SerializedName("numericParameters") val numericParameters: Map<String, Number>,
   @SerializedName("locationParameters") val locationParameters: Map<String, LocationParam>,
   @SerializedName("booleanParameters") val booleanParameters : Map<String, Boolean>
)