#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint anagog_flutter.podspec` to validate before publishing.
#
$jedaiVersion = '5.25.4'

Pod::Spec.new do |s|
  s.name             = 'anagog_flutter'
  s.version          = '1.0.0'
  s.summary          = 'Anagog SDK Flutter'
  s.homepage         = 'https://www.anagog.com'
  s.license          = { :type => 'Commercial', :file => '../LICENSE' }
  s.author           = 'Anagog Ltd'
  
  s.platform = :ios, '11.0'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  
  s.dependency 'Flutter'
  s.dependency 'JedAI', $jedaiVersion
  s.dependency 'JedAI/App', $jedaiVersion
  s.dependency 'JedAI/JEMA', $jedaiVersion
  s.dependency 'JedAI/UI', $jedaiVersion
  s.dependency 'JedAI/Toolbox', $jedaiVersion

  # Flutter.framework does not contain a arm64 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
  s.swift_version = '5.0'
end
