import 'package:anagog_flutter/platform_interface/anagog_flutter_platform_interface.dart';

abstract class AnagogFlutterPageTracker {
  Future enterPage(String pageName);
  Future exitPage();
}

class AnagogFlutterPageTrackerImpl implements AnagogFlutterPageTracker {
  ///Announce JedAI SDK for enter page
  ///[pageName] name of entered page  @override
  @override
  Future enterPage(String pageName) async =>
      AnagogFlutterPlatform.pageTracker.enterPage(pageName);

  ///Announce JedAI SDK for exit page
  @override
  Future exitPage() async => AnagogFlutterPlatform.pageTracker.exitPage();
}
